0

Is Flatpak manifest file still needed for new apps?

I read about it here: https://docs.elementary.io/develop/writing-apps/our-first-app/packaging but I also checked some Elementry OS apps sources on github and I found .travis.yml file only.

0

Are you really sure to use Flatpak in Elementary OS? Flatpak is full of issues.

From my com.github.slawtul.hamster.yml file:

runtime: org.gnome.Platform
runtime-version: '3.38'
sdk: org.gnome.Sdk

I run command:

flatpak-builder build  com.github.slawtul.hamster.yml --user --install --force-clean

Result:

error: org.gnome.Sdk/x86_64/3.38 not installed
Failed to init: Unable to find sdk org.gnome.Sdk version 3.38

I run manually command and press 9:

flatpak install org.gnome.Sdk 3.38

Result:

Looking for matches…
Found similar ref(s) for ‘org.gnome.Sdk’ in remote ‘flathub’ (system).
Use this remote? [Y/n]: Y
Similar refs found for ‘org.gnome.Sdk’ in remote ‘flathub’ (system):

   1) runtime/org.gnome.Sdk/x86_64/40
   2) runtime/org.gnome.Sdk/x86_64/3.24
   3) runtime/org.gnome.Sdk/x86_64/3.26
   4) runtime/org.gnome.Sdk/x86_64/3.28
   5) runtime/org.gnome.Sdk/x86_64/3.30
   6) runtime/org.gnome.Sdk/x86_64/3.32
   7) runtime/org.gnome.Sdk/x86_64/3.34
   8) runtime/org.gnome.Sdk/x86_64/3.36
   9) runtime/org.gnome.Sdk/x86_64/3.38

Which do you want to use (0 to abort)? [0-9]: 9
error: Nothing matches 3.38 in remote flathub

So even if flatpak informs me it found ref when I press number I get an error "Nothing matches" :)

Only this works (two slashes):

flatpak install org.gnome.Sdk//3.38

Looking for matches…
Found similar ref(s) for ‘org.gnome.Sdk//3.38’ in remote ‘flathub’ (system).
Use this remote? [Y/n]: Y


        ID                                             Branch            Op           Remote            Download
 1. [✓] org.freedesktop.Platform.GL.default            20.08             i            flathub            95,3 MB / 96,0 MB
 2. [✓] org.freedesktop.Platform.openh264              2.0               i            flathub             1,5 MB / 1,5 MB
 3. [✓] org.gnome.Sdk.Locale                           3.38              i            flathub             4,6 MB / 330,7 MB
 4. [✓] org.gtk.Gtk3theme.elementary                   3.22              i            flathub            75,8 kB / 1,3 MB
 5. [✓] org.gnome.Sdk                                  3.38              i            flathub           569,2 MB / 641,9 MB

Of course running below command still gives an error:

flatpak-builder build  com.github.slawtul.hamster.yml --user --install --force-clean

error: org.gnome.Platform/x86_64/3.38 not installed
Failed to init: Unable to find runtime org.gnome.Platform version 3.38

So this is not a good start.

Any help?

Flatpak 1.8.3 version

0

I found that Flatpak manifest for Elementary OS apps is a new thing.

https://www.youtube.com/watch?v=UDDG0BSAdPo&ab_channel=elementary

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.